Skip to main content
POST
Error
Promote an active deployment’s release to a higher environment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

UUID v7; must be in the key/token's projectIds.

deploymentId
string
required

Body

application/json
targetEnvironment
enum<string>
required
Available options:
dev,
staging,
production
bypassQualificationGate
boolean

Requires scope cicd.gate.bypass.

bypassReason
string

Response

Promotion started

success
boolean
required
deploymentId
string
required

Id of the (new) deployment this action created.

jobId
string
required

cicd-deploy-<deploymentId>.

statusUrl
string
jobStatusUrl
string